Subject: pgp4pine + gpg + sigdashes: who's to blame?

From: Joel Boonstra <[email-masked]>
Date: Wed, 6 Feb 2002 15:25:17 -0500 (EST)

Hey,

I think I've found a bug, or at least an oddity in the way pine, pgp4pine,
and gpg interact.

Here's the scenario.  I have a co-worker who emails me a regular,
unencrypted message.  He has sigdashes enabled, so when I reply to him,
things are stripped out appropriately.

However, when he sends me an email, exactly the same procedure, but uses
pine's filters to send it through pgp4pine, using gpg to encrypt it, the
copy of the email that I receive, after I decrypt it, has eliminated the
trailing space after the two dashes, rendering them unusable.

So, to put it visually, if I'm sent email without it being encrypted, this
is what the dashes look like (without the quotes):

"-- "

However, if the same message is encrypted, sent, then decrypted, this is
what they look like:

"--"

I've verified this by saving the decrypted message to a textfile, and
examining the actual characters in vi.

So, where is that extra space getting stripped out?  My hunch is that it's
not pine -- perhaps gpg eliminates all whitespace immediately preceding a
newline.  However, perhaps when pine sends its data to the filter (i.e.,
to pgp4pine), it strips out the space.  I doubt this, but it could be the
case.  Or, perhaps pgp4pine munges the data as it's passing it through to
gpg.  Again, unlikely, but it seems that one of those is happening, since
sigdashes don't work for encrypted messages.

So, here are my questions:

* Can anyone else reproduce this?  Both me and my co-worker are using:

  RH 7.1/7.2
  pine 4.44
  gpg (GnuPG) 1.0.4 (at least)
  pgp4pine 1.75-6

* If it's reproducible, how can I trace where the space is being stripped
out?

* Or, am I being silly, and missing something obvious?

-- 
[ joel boonstra | [email-masked] ]

-- 
-----------------------------------------------------------------
 For information about this mailing list, and its archives, see: 
 http://www.washington.edu/pine/pine-info/
-----------------------------------------------------------------